Add or change debug messages.

Change 4 of 6 from
https://sourceforge.net/p/gelide/code/ci/b8da37d825b9548ba6548f96ce8efb84cf068001/
--- src/core/dat_reader_factory.cpp
+++ src/core/dat_reader_factory.cpp
@@ -58,6 +58,7 @@ CDatReader* CDatReaderFactory::getDatReader(const Glib::ustring& p_file){
 
 	// Buscamos el lector adecuado
 	// Chequeamos CMPro
+	GELIDE_DEBUG("Checking ClrMamePro dat format...");
 	l_reader = new CDatReaderClrMamePro();
 	if(l_reader->load(l_buffer, l_fsize)){
 		delete[] l_buffer;
@@ -65,6 +66,7 @@ CDatReader* CDatReaderFactory::getDatReader(const Glib::ustring& p_file){
 	}
 	delete l_reader;
 	// Chequeamos Logiqx xml
+	GELIDE_DEBUG("Checking Logiqx xml dat format...");
 	l_reader = new CDatReaderLogiqxXml();
 	if(l_reader->load(l_buffer, l_fsize)){
 		delete[] l_buffer;
@@ -72,6 +74,7 @@ CDatReader* CDatReaderFactory::getDatReader(const Glib::ustring& p_file){
 	}
 	delete l_reader;
 	// Chequeamos Mame xml
+	GELIDE_DEBUG("Checking Mame xml dat format...");
 	l_reader = new CDatReaderMameXml();
 	if(l_reader->load(l_buffer, l_fsize)){
 		delete[] l_buffer;
--- src/ui/dialog_gamelist_generator.cpp
+++ src/ui/dialog_gamelist_generator.cpp
@@ -179,6 +179,9 @@ bool CDialogGamelistGenerator::generateGameList(void){
 	m_label_status.set_label(_("Loading dat file..."));
 	while (Gtk::Main::events_pending())
 		Gtk::Main::iteration();
+
+	GELIDE_DEBUG("Dat file: " << m_system->getDatFile());
+
 	l_dat_reader = CDatReaderFactory::getDatReader(m_system->getDatFile());
 	if(l_dat_reader){
 		GELIDE_DEBUG("Dat reader: " << l_dat_reader->getType());
@@ -199,7 +202,7 @@ bool CDialogGamelistGenerator::generateGameList(void){
 		delete l_dat_reader;
 	}
 	else
-		GELIDE_DEBUG("Unsupported dat file: " << m_system->getDatFile());
+		GELIDE_DEBUG("Unsupported dat file.");
 
 
 	if(l_preserve){
